New RPi3 Drivers problem with Xbox

Welcome Page Forums RetroPie Project New to RetroPie? Start Here! New RPi3 Drivers problem with Xbox

This topic contains 2 replies, has 2 voices, and was last updated by Profile photo of xaspy xaspy 1 year, 4 months ago.

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #120988
    Profile photo of xaspy
    xaspy
    Participant

    Recently I had a problem with the drivers. I can’t connect the new model 1697 of new Xbox One Controller (with jack 3.5mm). Its not working, if I start the Retropie with a connected controller the raspbian crashes and i have to reboot

    Sudo dkms install -m xpad -v 0.4

    your kernel headers for kernel 4.1.19-v7+ cannot be found at /lib/modules/4.1.19-v7+/build or /lib/modules/4.1.19-v7+/source.

    If I make:

    uname -a

    it appears:

    linux retropie 4.1.19-v7+ …………

    ———————————————————————————–

    sudo apt-get install linux-headers-$(uname -r)

    The problem its similar when I try all combinations

    #120994
    Profile photo of zerojay
    zerojay
    Participant

    You can try to blacklist xpad and try xboxdrv but can’t say it’ll work for sure or not. I added the info I could to try to make it work but whether it is or not, I have no idea.

    #121073
    Profile photo of xaspy
    xaspy
    Participant

    I also try xboxdrv the problem is the same. Linux headers not found and it is impossible update or upgrade kernel.

Viewing 3 posts - 1 through 3 (of 3 total)

Forums are currently read only - please visit the new RetroPie forums at https://retropie.org.uk/forums/

Skip to toolbar